Bug 5311 - Multiple bashisms in gnupg-agent.sh
: Multiple bashisms in gnupg-agent.sh
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnupg2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-12 13:32 by
Modified: 2005-07-13 15:46 (History)


Attachments
New /etc/profile.d/gnupg-agent.sh (528 bytes, text/plain)
2004-10-12 13:33, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-12 13:32:13
1. Не нужно определять какого типа у нас pinentry (тем более через
alternatives), консольная или X11 - все pinentry собраны с fallback'ом на
curses. (Тем более что способ запуска один)
2. Надо экспортировать переменную GPG_TTY (info '(gnupg2)Invoking GPG-AGENT')
------- Comment #1 From 2004-10-12 13:33:37 -------
Created an attachment (id=606) [details]
New /etc/profile.d/gnupg-agent.sh

gnupg-agent.sh, издание второе, переработанное и дополненное. WORKSFORME(tm).
------- Comment #2 From 2004-10-12 14:28:52 -------
Ok 
------- Comment #3 From 2004-11-02 20:10:53 -------
fixed in gnupg2-1.9.12-alt1